package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability1475/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkPurchasePriceRequest struct {
	/*
	   入参     */
	WdkOpenPurchasePrice *domain.AlibabaWdkPurchasePriceWdkOpenPurchasePrice `json:"wdk_open_purchase_price,omitempty" required:"false" `
}

func (s *AlibabaWdkPurchasePriceRequest) SetWdkOpenPurchasePrice(v domain.AlibabaWdkPurchasePriceWdkOpenPurchasePrice) *AlibabaWdkPurchasePriceRequest {
	s.WdkOpenPurchasePrice = &v
	return s
}

func (req *AlibabaWdkPurchasePriceRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.WdkOpenPurchasePrice != nil {
		paramMap["wdk_open_purchase_price"] = util.ConvertStruct(*req.WdkOpenPurchasePrice)
	}
	return paramMap
}

func (req *AlibabaWdkPurchasePriceRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
